Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78224

Summary: Apache will not list/send files mounted from a NetWare volume.
Product: [Retired] Red Hat Linux Reporter: Anders Norrbring <anders>
Component: httpdAssignee: Joe Orton <jorton>
Status: CLOSED ERRATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: milan.kerslager, psimek
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-04-30 07:15:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Anders Norrbring 2002-11-20 12:26:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
I mount a NetWare volume with ncpfs-2.2.0.19 in the http docs catalog tree of 
Apache.  When directory is accessed with Apache to get a file listing, the 
files do not show up at all.
I switched to Apache 1, and applied a work-around for sendfile() and the 
catalog's files are displayed and can be transferred to the client.
This solution does NOT work for files bigger than 2GB though. Which of course 
is desirable as files as big today are not at all uncommon.

And of course Apache should be able to both show and send files this way 
WITHOUT the workaround.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Apache with all default from the RedHat 8.0 dist.
2. Install ncpfs-2.2.0.19 as default.
3. Mount a NetWare servers volume in the Apache http docs tree.
	

Expected Results:  Files mounted from an external server should of course be 
as accessible via the Apache server as they are locally to the file system.

Additional info:

Comment 1 Joe Orton 2002-12-06 14:07:32 UTC
Thanks for the report. We'll probably make sendfile() off by default in future
packages; it falls down in a number of situations and seems more like an
optimisation which must be explicitly enabled on a per-location basis.

Comment 2 Joe Orton 2003-05-12 13:22:47 UTC
*** Bug 90521 has been marked as a duplicate of this bug. ***

Comment 3 Milan Kerslager 2003-10-08 06:23:12 UTC
This bug still persist in Red Hat 9.
Apache 2.0.44 has option EnableSendfile On|Off, so one can disable this on
mounted NetWare volume per directory/virtualserver/global basis.
In Apache 2.0.40-21.5 (current RH 9) you need to recompile package and add
--without-sendfile to configure line in the SPEC file.

Comment 4 Mark J. Cox 2004-04-30 07:15:35 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-182.html